Subject: Re: make profile issue on Git 2.1.0

From: Andi Kleen <[email-masked]>
Date: Tue, 19 Aug 2014 04:54:49 -0700

> Maybe we should do this:

Looks good to me.

> As a side note, while testing this I noticed that the "make perf" run
> goes a lot faster if you set GIT_PERF_REPEAT_COUNT=1. This is bad for
> actually measuring things, but probably fine for profile feedback. I
> don't use the profile builds myself, though, so I will leave it to
> somebody who cares more to investigate whether such a change would be a
> good idea.

Yes should be fine too.

Another way to speed it up would be also to run the tests (both 
tests and benchmarks) in parallel on multiple cores. The gcc feedback mechanism
won't mind, as it doesn't measure time.

-Andi